<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "classpath://org/hibernate/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="storybook.model.hbn.entity">
    <class name="Attribute" table="ATTRIBUTE">
        <id column="ID" name="id" type="java.lang.Long" unsaved-value="null">
            <generator class="increment">
            </generator>
        </id>
        <!-- common data -->
        <property column="creation" name="creation" type="java.lang.String" insert="true" update="true"/>
        <property column="maj"      name="maj"      type="java.lang.String" insert="true" update="true"/>
        <property column="name"     name="name"     type="java.lang.String" insert="true" update="true" length="256" />
        <property column="description" name="description" type="java.lang.String" insert="true" update="true" length="32768" />
        <property column="notes"    name="notes"    type="java.lang.String" insert="true" update="true" length="32768" />
        <property column="assistant" name="assistant" type="java.lang.String" insert="true" update="true" length="32768" />
        <!-- specific data -->
        <property column="key"      name="key"      type="java.lang.String" insert="true" update="true" length="256" />
        <property column="value"    name="value"    type="java.lang.String" insert="true" update="true" length="2048" />
    </class>
</hibernate-mapping>
